package com.qcg.comp.sdk.exceptions;

import java.util.LinkedList;
import java.util.List;

import com.qcg.comp.sdk.exceptions.QCGCompException;

public class DeleteOnTerminationException extends QCGCompException {
	protected List<String> filesList = new LinkedList<String>();
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public DeleteOnTerminationException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.qcg.comp.stubs.staging.DeleteOnTerminationFault) {
			com.qcg.comp.stubs.staging.DeleteOnTerminationFault f = (com.qcg.comp.stubs.staging.DeleteOnTerminationFault)ex;
			for (Object o :  f.getFaultInfo().getContent()) {
				filesList.add(o.toString());
			}
			setInfoMessage(filesList);
		} else {
			throw new AssertionError(ex);
		}
	}
	
	public List<String> getFilesList(){
		return filesList;
	}
}
