package com.qcg.comp.tests;



import com.qcg.comp.sdk.jsdl.JSDL;
import com.qcg.comp.sdk.types.QCGActivityStatus;

/**
 * Unit test for simple App.
 */
public class TerminateJobTest 
    extends QCGCompConfig
{

	public void testSleepKill() throws Throwable {
		
		jsdl = new JSDL("sleep");
		jsdl.setExecutable("/bin/sleep");
		jsdl.getArguments().add("60");
		jsdl.setUserName(username1);
		jobEpr1 = factory.createActivity(jsdl);
		
		System.err.println("jobEpr1 = " + jobEpr1);

		factory.terminateActivity(jobEpr1);
		
		waitForTermination(jobEpr1);
		
		assertEquals(factory.getActivityStatus(jobEpr1).getState(), QCGActivityStatus.QCG_ACTIVITY_STATE_CANCELLED);

	}

	
}
