#!/usr/bin/env python
class QueueType:
    UNKNOWN = 1
    INTERACTIVE = 2
    CHECKPOINTING = 4
    PARALLEL = 8
    TRANSFER = 16
    BATCH = 32

class QueueStatus:
    UNKNOWN = 1
    ALARM = 2
    SUSPEND = 4
    SUBORDINATE = 8
    DISABLED = 16
    ERROR = 32

class JobStatus:
    UNKNOWN = 1
    TRANSFERING = 2
    WAITING = 4
    RUNNING = 8
    RESTARTED = 16
    SUSPENDED = 32
    THRESHOLD = 64