package com.qcg.comp.sdk.exceptions;

import com.qcg.comp.sdk.exceptions.QCGCompException;
import com.qcg.comp.sdk.types.QCGActivityStatus;

public class CantApplyOperationToCurrentStateException extends QCGCompException {
	protected QCGActivityStatus status;
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public CantApplyOperationToCurrentStateException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.qcg.comp.stubs.bes.factory.CantApplyOperationToCurrentStateFault) {
			com.qcg.comp.stubs.bes.factory.CantApplyOperationToCurrentStateFault f = (com.qcg.comp.stubs.bes.factory.CantApplyOperationToCurrentStateFault)ex;
			status = new QCGActivityStatus(null, f.getFaultInfo().getActivityStatus());
			infoMessage = f.getFaultInfo().getMessage() + " (current state = " + status.toString() + ")";
		} else {
			throw new AssertionError(ex);
		}
	}
	
	public QCGActivityStatus getCurrentStatus(){
		return status;
	}
}
