package com.qcg.comp.sdk.exceptions;

import com.qcg.comp.sdk.exceptions.QCGCompException;

public class NotAuthorizedException extends QCGCompException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public NotAuthorizedException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.qcg.comp.stubs.bes.factory.NotAuthorizedFault) {
			//com.qcg.comp.stubs.bes.factory.NotAuthorizedFault f = (com.qcg.comp.stubs.bes.factory.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else if (ex instanceof com.qcg.comp.stubs.bes.management.NotAuthorizedFault) {
			//com.qcg.comp.stubs.bes.management.NotAuthorizedFault f = (com.qcg.comp.stubs.bes.management.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else if (ex instanceof com.qcg.comp.stubs.ares.NotAuthorizedFault) {
			//com.qcg.comp.stubs.ares.NotAuthorizedFault f = (com.qcg.comp.stubs.ares.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else if (ex instanceof com.qcg.comp.stubs.staging.NotAuthorizedFault) {
			//com.qcg.comp.stubs.staging.NotAuthorizedFault f = (com.qcg.comp.stubs.staging.NotAuthorizedFault)ex;
			//TODO: marshal any
		} else {
			throw new AssertionError(ex);
		}
	}
}
