package com.qcg.comp.sdk.exceptions;

import java.util.LinkedList;
import java.util.List;

import com.qcg.comp.sdk.exceptions.QCGCompException;

public class StagingException extends QCGCompException {
	protected List<String> filesList = new LinkedList<String>();
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public StagingException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.qcg.comp.stubs.staging.StagingFault) {
			com.qcg.comp.stubs.staging.StagingFault f = (com.qcg.comp.stubs.staging.StagingFault)ex;
			infoMessage = f.getFaultInfo().getValue();
		} else {
			throw new AssertionError(ex);
		}
	}
	
}
