/* $Id: session_process.h 2 2009-10-05 10:09:52Z mamonski $ */

/*
 * Copyright 2006-2009 QCG Project Team
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SMC_SESSION_PROCESS_H
#define __SMC_SESSION_PROCESS_H

#include <qcg-core/sm.h>
#include <qcg-core/value.h>

#include <job.h>

void smc_session_process(int fd, int controlling_fd, SM_BOOL one_shot, sm_value_t *data);
sm_value_t *smc_session_process_submit_job(smc_job_t job, sm_value_t *params);
void smc_session_process_stager_new(void);
void smc_session_process_stager_done(void);

#endif /* __SMC_SESSION_PROCESS_H */
