/* $Id: staging.h 45 2009-12-30 16:24:35Z mamonski $ */

/*
 * Copyright 2006-2009 QCG Project Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SMC_STAGING_H
#define __SMC_STAGING_H

#include <stdbool.h>

#include <qcg-core/sm.h>
#include <qcg-core/modules/modules.h>

#include <job.h>
#include <stub/qcgcompStub.h>

sm_status_ret_code_t smc_staging_start_stage_in(smc_job_t job, smc_job_res_info_t res_info, sm_module_manager_t module_manager);
sm_status_ret_code_t smc_staging_start_stage_out(smc_job_t job, sm_module_manager_t module_manager);
sm_status_ret_code_t smc_staging_delete_on_termination(smc_job_t job, bool quiet);

#endif /* __SMC_STAGING_H */
